Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Class MavenPlugin

    java.lang.Object
      org.gradle.api.plugins.MavenPlugin

All Implemented Interfaces:
  Plugin

    public class MavenPlugin

extends java.lang.Object
implements Plugin

A `Plugin` which allows project artifacts to be deployed to a Maven repository, or installed to the local Maven cache.

Field Summary
`static int` | `COMPILE_PRIORITY`
`static java.lang.String` | `INSTALL_TASK_NAME`
`static int` | `PROVIDED_COMPILE_PRIORITY`
`static int` | `PROVIDED_RUNTIME_PRIORITY`
`static int` | `RUNTIME_PRIORITY`
`static int` | `TEST_COMPILE_PRIORITY`
`static int` | `TEST_RUNTIME_PRIORITY`

Constructor Summary
`MavenPlugin()`

Method Summary
`void` | `use(Project project, ProjectPluginsContainer plugins)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPILE_PRIORITY

    public static final int COMPILE_PRIORITY

See Also:
  Constant Field Values

### RUNTIME_PRIORITY

    public static final int RUNTIME_PRIORITY

See Also:
  Constant Field Values

### TEST_COMPILE_PRIORITY

    public static final int TEST_COMPILE_PRIORITY

See Also:
  Constant Field Values

### TEST_RUNTIME_PRIORITY

    public static final int TEST_RUNTIME_PRIORITY

See Also:
  Constant Field Values

### PROVIDED_COMPILE_PRIORITY

    public static final int PROVIDED_COMPILE_PRIORITY

See Also:
  Constant Field Values

### PROVIDED_RUNTIME_PRIORITY

    public static final int PROVIDED_RUNTIME_PRIORITY

See Also:
  Constant Field Values

### INSTALL_TASK_NAME

    public static final java.lang.String INSTALL_TASK_NAME

See Also:
  Constant Field Values

Constructor Detail

### MavenPlugin

    public MavenPlugin()

Method Detail

### use

    public void use(Project project,
                    ProjectPluginsContainer plugins)

  Specified by:
    `use` in interface `Plugin`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD